<template>
  <div class="elem-pane" :style="styles"></div>
</template>

<script>
export default {
  name: "ElemPane",
  props: {
    data: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {};
  },
  computed: {
    styles() {
      return {
        backgroundColor: this.data.bgColor,
        borderStyle: this.data.style,
        borderWidth: this.data.bold,
        borderColor: this.data.color,
      };
    },
  },
  methods: {},
};
</script>
